Neonode zForce(TM) SDK

Public Attributes | List of all members
HidPipeTransportEnumeration Struct Reference

Struct containing the HidPipeTransportEnumeration information. More...

`#include <HidPipeTransportEnumeration.h>`

Collaboration diagram for HidPipeTransportEnumeration:
[legend]

## Public Attributes
zForce * | zForce
| Pointer to zForce.
Queue * | Queue
| Pointer to queue.
void * | Private
| Pointer to private data structure.
void(* | Destructor )(HidPipeTransportEnumeration *self)
| Destroys the HidPipeTransportEnumeration. More...
bool(* | AddHidPipeTransport )(HidPipeTransportEnumeration *self, HidPipeTransport *transport)
| Adds a HidPipeTransport to the internal list. More...
struct hid_device_info *(* | Enumerate )(HidPipeTransportEnumeration *self, HidPipeTransport *transport, uint16_t vid, uint16_t pid)
| Calls hid_enumerate in the HidApi. More...
bool(* | IsTransportListEmpty )(HidPipeTransportEnumeration *self)
| Checks if there is anything in the internal list of HidPipeTransports. More...

## Detailed Description

Struct containing the HidPipeTransportEnumeration information.

HidPipeTransportEnumeration is a singleton class intended to be run in its own thread.

## Member Data Documentation

## ◆ AddHidPipeTransport

bool( * HidPipeTransportEnumeration::AddHidPipeTransport) (HidPipeTransportEnumeration *self, HidPipeTransport *transport)

Adds a HidPipeTransport to the internal list.

Adds a HidPipeTransport to the internal list.
On failure, errno is set.

- EOUTOFMEMORY - Memory allocation failed.

Parameters

  self | Pointer to the struct itself.
  transport | Pointer to the HidPipeTransport to add.

Returns
  Returns a boolean value.

## ◆ Destructor

void( * HidPipeTransportEnumeration::Destructor) (HidPipeTransportEnumeration *self)

Destroys the HidPipeTransportEnumeration.

Parameters

  self | Pointer to the struct itself.

Returns
  No return value.

## ◆ Enumerate

struct hid_device_info*( * HidPipeTransportEnumeration::Enumerate) (HidPipeTransportEnumeration *self, HidPipeTransport *transport, uint16_t vid, uint16_t pid)

Calls hid_enumerate in the HidApi.

Calls hid_enumerate in the HidApi.
On failure, errno is set.

- EOUTOFMEMORY - Memory allocation failed.
- EMUTEXNOTINITIALIZED - Mutex not initialized.
- EMUTEXLOCKFAILED - Mutex lock failed.
- EMUTEXUNLOCKFAILED - Mutex unlock failed.

Parameters

  self | Pointer to the struct itself.
  transport | Pointer to the HidPipeTransport.
  vid | The vendor id of the device to search for.
  pid | The product id of the device to search for.

Returns
  Returns a pointer to a linked list of all the present devices with the matching vid and pid.

## ◆ IsTransportListEmpty

bool( * HidPipeTransportEnumeration::IsTransportListEmpty) (HidPipeTransportEnumeration *self)

Checks if there is anything in the internal list of HidPipeTransports.

Checks if there is anything in the internal list of HidPipeTransports.

Parameters

  self | Pointer to the struct itself.

Returns
  Returns true if the list is empty.

The documentation for this struct was generated from the following file:

- HidPipeTransportEnumeration.h